%define pkgname kaa-metadata
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: Kaa Media Meta Data retrieval framework
Name: python-%{pkgname}
Version: 0.7.7
Release: %mkrel 5
Source0: http://mesh.dl.sourceforge.net/sourceforge/freevo/%{pkgname}-%{version}.tar.gz
License: LGPL
URL: http://sourceforge.net/projects/freevo/
Group: Development/Python
BuildRequires: python-devel
BuildRequires: libdvdread-devel
BuildRequires: python-kaa-base
Requires:	python-kaa-base
Provides:	python-mm
Obsoletes:	python-mm

%description
kaa-metadata is a Media Meta Data retrieval framework. 
It retrieves metadata from mp3, ogg, avi, jpg, tiff and 
other file formats. Among others it thereby parses ID3v2, 
ID3v1, EXIF, IPTC and Vorbis data into an object oriented 
struture.  It is the successor to mmpython.

%prep
%setup -q -n %{pkgname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot} 


%files 
%defattr(-,root,root)

%_bindir/mminfo
%{python_sitearch}/kaa_metadata*.egg-info

%dir %{python_sitearch}/kaa/metadata
%{python_sitearch}/kaa/metadata/*.py*

%dir %{python_sitearch}/kaa/metadata/audio
%{python_sitearch}/kaa/metadata/audio/*.py*

%dir %{python_sitearch}/kaa/metadata/audio/eyeD3
%{python_sitearch}/kaa/metadata/audio/eyeD3/*.py*

%dir %{python_sitearch}/kaa/metadata/disc
%{python_sitearch}/kaa/metadata/disc/*.py*
%{python_sitearch}/kaa/metadata/disc/*.so

%dir %{python_sitearch}/kaa/metadata/games
%{python_sitearch}/kaa/metadata/games/*.py*

%dir %{python_sitearch}/kaa/metadata/image
%{python_sitearch}/kaa/metadata/image/*.py*

%dir %{python_sitearch}/kaa/metadata/misc
%{python_sitearch}/kaa/metadata/misc/*.py*

%dir %{python_sitearch}/kaa/metadata/video
%{python_sitearch}/kaa/metadata/video/*.py*






%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.7-5.mga4
+ Revision: 543676
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.7-4.mga4
+ Revision: 498813
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 philippem <philippem> 0.7.7-3.mga4
+ Revision: 491542
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 0.7.7-2.mga3
+ Revision: 379034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 07 2011 mikala <mikala> 0.7.7-1.mga1
+ Revision: 95671
- Remove BuildRoot
- imported package python-kaa-metadata


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 0.7.7-1mdv2011.0
+ Revision: 591925
- New release

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.7.5-4mdv2010.0
+ Revision: 442213
- rebuild

  + Crispin Boylan <crisb@mandriva.org>
    - Use platform site dir
    - Use proper file list

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.7.5-2mdv2009.1
+ Revision: 320637
- rebuild for new python

* Sun Dec 21 2008 Crispin Boylan <crisb@mandriva.org> 0.7.5-1mdv2009.1
+ Revision: 316961
- New release

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 0.7.3-3mdv2009.0
+ Revision: 278260
- rebuild for new libdvdread

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.7.3-2mdv2009.0
+ Revision: 269028
- rebuild early 2009.0 package (before pixel changes)

* Mon May 12 2008 Crispin Boylan <crisb@mandriva.org> 0.7.3-1mdv2009.0
+ Revision: 206409
- New release

* Wed Feb 06 2008 Crispin Boylan <crisb@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 163252
- New release

* Fri Dec 28 2007 Crispin Boylan <crisb@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 138785
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Crispin Boylan <crisb@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 17244
- New release


* Fri Mar 16 2007 Crispin Boylan <crisb@mandriva.org> 0.6.0-3mdv2007.1
+ Revision: 145306
- Provides python-mm to ease upgrading
- Requires python-kaa-base

* Wed Mar 14 2007 Crispin Boylan <crisb@mandriva.org> 0.6.0-2mdv2007.1
+ Revision: 143358
- Obsoletes python-mm

* Sun Mar 11 2007 Crispin Boylan <crisb@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 141409
- Initial Mandriva package
- Create python-kaa-metadata

